For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
      • GETList integrations
      • POSTCreate an integration
      • PATCHUpdate an integration
      • GETGet an installation
      • PATCHUpdate installation status
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
IntegrationsIntegrations

Update an integration

PATCH
https://example.ada.support/api/v2/platform-integrations/:id
PATCH
/api/v2/platform-integrations/:id
1import requests
2
3url = "https://example.ada.support/api/v2/platform-integrations/id"
4
5payload = {}
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.patch(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "id": "5df263b7db5a7e6ea03fae9b",
3 "status": "development",
4 "identifier_field_path": "credentials.knowledgeHubUrl",
5 "name": "Connect to Cool Shop Knowledge Hub",
6 "description": "Connect to Cool Shop Knowledge Hub to sync articles with your AI Agent's knowledge base",
7 "author": "Cool Shop",
8 "contact": "help@coolshop.support",
9 "uninstallation_url": "http://coolshop.com/uninstall",
10 "oauth_callback_url": "http://coolshop.com/",
11 "tags": [
12 "knowledge"
13 ],
14 "scopes": [
15 "articles:read",
16 "knowledge_sources:write"
17 ],
18 "configuration_fields": {
19 "title": "Connect to Cool Shop Knowledge Hub",
20 "type": "object",
21 "description": "Complete this form to integrate your Knowledge Hub with your AI Agent",
22 "required": [
23 "credentials"
24 ],
25 "properties": {
26 "credentials": {
27 "type": "object",
28 "title": "My Knowledge Hub credentials",
29 "description": "The following information is found in your Cool Shop admin center",
30 "properties": {
31 "knowledgeHubUrl": {
32 "type": "string",
33 "title": "Knowledge Hub URL",
34 "description": "The URL of your Knowledge Hub"
35 },
36 "secretKey": {
37 "type": "string",
38 "title": "Secret key",
39 "description": "Find your Knowledge Hub secret key on the Knowledge Hub Management page",
40 "format": "password"
41 }
42 },
43 "required": [
44 "knowledgeHubUrl",
45 "secretKey"
46 ]
47 }
48 }
49 },
50 "created": "2020-09-20T00:00:00+00:00",
51 "updated": "2020-09-20T00:00:00+00:00",
52 "icon_url": "https://example.com/icon.png",
53 "call_to_action": "Connect to Cool Shop Knowledge Hub",
54 "error_codes": {
55 "error_403": "Unauthorized",
56 "error_404": "Not Found"
57 }
58}

Update a platform integration. Note: only integrations in development may be updated. Integrations submitted for publication cannot be updated.

Was this page helpful?
Previous

Get an installation

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "id"
The ID of the platform integration to update

Request

This endpoint expects an object.
authorstringOptional1-160 characters
The name of the integration developer
call_to_actionstring or nullOptional>=1 character
The call to action text
configuration_fieldsobjectOptional

A json-schema describing the settings fields that a user should be presented with when installing the integration

contactstringOptional>=1 character
The URL or email address where users of the integration can reach out for support
descriptionstringOptional>=1 character
A description of what the integration does and how to use it
error_codesobject or nullOptional
An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed
icon_urlstring or nullOptionalformat: "url">=1 character
The URL of the icon that should be displayed with your integration
identifier_field_pathstringOptional

JMESPath describing which of the fields in configuration_fields is the best human-friendly field to use to identify a specific installation (e.g., account name)

namestringOptional1-160 characters
The name of the integration
oauth_callback_urlstringOptionalformat: "url">=1 character

The get endpoint that will be invoked after OAuth authorization

scopeslist of stringsOptional
The list of OAuth token permissions the integration requests when installed
tagslist of enumsOptional
A list of tags that describe the type of integration
Allowed values:
uninstallation_urlstringOptionalformat: "url">=1 character

The delete endpoint that initiates the uninstallation flow for the integration

Response

Platform integration updated
idstring
The unique identifier for the integration
statusstring

The current state of the integration (development, approved, archived)

identifier_field_pathstring

JMESPath describing which of the fields in configuration_fields is the best human-friendly field to use to identify a specific installation (e.g., account name)

namestring1-160 characters
The name of the integration
descriptionstring>=1 character
A description of what the integration does and how to use it
authorstring1-160 characters
The name of the integration developer
contactstring>=1 character
The URL or email address where users of the integration can reach out for support
uninstallation_urlstringformat: "url">=1 character

The delete endpoint that initiates the uninstallation flow for the integration

oauth_callback_urlstringformat: "url">=1 character

The get endpoint that will be invoked after OAuth authorization

tagslist of enums
A list of tags that describe the type of integration
Allowed values:
scopeslist of strings
The list of OAuth token permissions the integration requests when installed
configuration_fieldsobject

A json-schema describing the settings fields that a user should be presented with when installing the integration

createdstringformat: "date-time"
The date the integration was created
updatedstringformat: "date-time"
The date the integration was last updated
icon_urlstring or nullformat: "url">=1 character
The URL of the icon that should be displayed with your integration
call_to_actionstring or null>=1 character
The call to action text
error_codesobject or null
An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error